Erro na instalação - Inicializando banco de dados


#1

Boa noite, estou tentando instalar o ieducar em um servidor, e estou com um problema no banco de dados, quando coloco a senha e clico em ‘Instalar’, sempre para no erro da imagem em anexo41 .

Olhei os logs como recomenda e a mensagem é a seguinte:
[2019-01-17 17:33:42] production.ERROR: SQLSTATE[42501]: Insufficient privilege: 7 ERROR: must be owner of extension plpgsql


#2

Talvez isso ajude, se bem que torna um superusuário:

#tornar o usuário do banco de dados “user” um superusuário para permitir a instalação
sudo -u postgres psql
psql (8.4.4)
Type “help” for help.

postgres=# \du
List of roles
Role name | Attributes | Member of
-----------------±------------±----------
| Superuser | {}
: Create DB
postgres | Superuser | {}
: Create role
: Create DB

postgres=# alter role “user” superuser;
ALTER ROLE
postgres=#


#3

Bom dia pessoal, consegui concluir a instalação, o problema era q a máquina que eu estava usando era muito fraquinha, apenas 500mb de RAM, então ficava sobrecarregado, depois que fiz um upgrade para 1GB de RAM e um processador melhor instalou sem problemas.

Fica a dica para quem também passar por isso, no meu caso utilizei servidores Amazon
t2.nano (500mb RAM)
t2.small (1GB RAM).

Abraços.

Edit: Depois que conclui a instalação, pode voltar pra versão mais ‘fraquinha’ que vai funcionar perfeitamente.